| globjects 1.0.0.000000000000 Strict OpenGL objects wrapper.

Public Types | Public Member Functions | Protected Attributes | List of all members
globjects::FunctionCall< Arguments > Class Template Reference

`#include <globjects/include/globjects/base/FunctionCall.h>`

Inheritance diagram for globjects::FunctionCall< Arguments >:

## Public Types
using | FunctionPointer = void(*)(Arguments...)

## Public Member Functions
| FunctionCall ()
| FunctionCall (FunctionPointer function, Arguments... arguments)
virtual void | operator() () override
| Entry point for the main functionality of a subclass. More...
virtual void * | identifier () const override
| Accessor for an arbitrary identifier that can be used as identity. More...
Public Member Functions inherited from globjects::AbstractFunctionCall
| AbstractFunctionCall ()
| Constructor. More...
virtual | ~AbstractFunctionCall ()
| Virtual destructor. More...

## Protected Attributes
FunctionPointer | m_functionPointer
std::function< void(Arguments...)> | m_function
std::tuple< Arguments... > | m_arguments

## Member Typedef Documentation

## ◆ FunctionPointer

template<typename... Arguments>

using globjects::FunctionCall< Arguments >::FunctionPointer = void (*)(Arguments...)

## Constructor & Destructor Documentation

## ◆ FunctionCall() [1/2]

template<typename... Arguments>

globjects::FunctionCall< Arguments >::FunctionCall | ( |  | ) |

## ◆ FunctionCall() [2/2]

template<typename... Arguments>

globjects::FunctionCall< Arguments >::FunctionCall | ( | FunctionPointer | function,
|  | Arguments... | arguments
| ) |  |

## Member Function Documentation

## ◆ operator()()

template<typename... Arguments>

virtual void globjects::FunctionCall< Arguments >::operator() | ( |  | ) |
| override virtual

Entry point for the main functionality of a subclass.

As this interface represents some kind of method object, a subclass defines this operator to implement its full behavior.

Implements globjects::AbstractFunctionCall.

## ◆ identifier()

template<typename... Arguments>

virtual void* globjects::FunctionCall< Arguments >::identifier | ( |  | ) | const
| override virtual

Accessor for an arbitrary identifier that can be used as identity.

Returns
  An identifier for identity tracking

Implements globjects::AbstractFunctionCall.

## Member Data Documentation

## ◆ m_functionPointer

template<typename... Arguments>

FunctionPointer globjects::FunctionCall< Arguments >::m_functionPointer
| mutable protected

## ◆ m_function

template<typename... Arguments>

std::function<void(Arguments...)> globjects::FunctionCall< Arguments >::m_function
| protected

## ◆ m_arguments

template<typename... Arguments>

std::tuple<Arguments...> globjects::FunctionCall< Arguments >::m_arguments
| protected

The documentation for this class was generated from the following file:

- FunctionCall.h